Bug 229479 - Encrypted /tmp with random key fails to mount, drops to filesystem recovery prompt
Encrypted /tmp with random key fails to mount, drops to filesystem recovery p...
Status: CLOSED DUPLICATE of bug 667282
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: Reopened
Depends On: 250881
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-21 08:28 EST by Kevin R. Page
Modified: 2014-03-16 23:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-05 06:59:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin R. Page 2007-02-21 08:28:11 EST
Description of problem:
Added an encrypted tmp partition in /etc/crypttab, e.g.:
tmp-crypt  /dev/mapper/vg0-lv_tmp  /dev/urandom  tmp,cuper=aes-cbc-essiv:sha256

which is then mounted in /etc/fstab :
/dev/mapper/tmp-crypt  /tmp ext2  defaults  1 2

On boot, the tmp-crypt entry in crypttab is skipped on the first pass of
rc.sysinit:init_crypto() as it has a random key. However, this means the device
doesn't yet exist when entries in fstab are automounted - which fails, and drops
to the filesystem recovery prompt.

Version-Release number of selected component (if applicable):
initscripts-8.45.7-1


How reproducible:
Always


Steps to Reproduce:
1. Create crypttab for a tmp partition with random key
2. Mount said encrypted partition as tmp in fstab
3.
  
Actual results:
Mount of /tmp fails; on boot drops to filesystem recovery prompt

Expected results:
/tmp mounts

Additional info:
Comment 1 Kevin R. Page 2007-02-21 08:30:44 EST
%s/cuper/cipher/g
Comment 2 Markus Gnerlich 2007-03-12 01:08:49 EDT
I encountered the exact same problem.  The swap option in crypttab seems to work
with init_crypto() in rc.sysinit, but the tmp option does not.  It looks like
neither mke2fs nor mktemp execute successfully in the init_crypto() script, and
/dev/mapper/$dst is left unformatted.  Boot fails when fstab gets to it.
Comment 3 Vlado Potisk 2007-07-14 17:17:52 EDT
The same problem as described by the reporter appears also in Fedora 7 with
initscripts-8.54.1-1. The crypttab file is processed twice, first without the
random data source and then with it. The encrypted tmp is created during the
second pass, but the filesystems are already mounted at that stage.

I have configured the fstab entry with 0 as the last field, because a freshly
created filesystem does not need checking. There is no recovery prompt, the
system starts normally. Just the /tmp is not on a separate encrypted partition
as it should be, but it is a normal unencrypted subdirectory on the root filesystem.
Comment 4 Kyle Gonzales 2007-10-25 23:09:16 EDT
Exact same issue is still present in Fedora 8 Test 3.  When might we expect some
attention to this?
Comment 5 Kevin R. Page 2008-09-01 11:12:04 EDT
Still experiencing this on Fedora 9 with current updates - as described previously the crypttab entry seems to work, but /tmp need to be mounted before the second pass of crypttab in which the encrupted tmp is set up.

Randomly encrypted swap in crypttab works fine.
Comment 6 Scott Wilburn 2008-09-17 09:11:15 EDT
This appears to be related to 250881.
Comment 7 Scott Wilburn 2008-09-17 09:17:42 EDT
This appears to be related to 250881.
Comment 8 Bug Zapper 2009-06-09 18:28:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 10:31:25 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Kevin R. Page 2009-09-11 13:43:27 EDT
Still present on F11 initscripts-8.95-1.i586

It would indeed seem related to bug #250881 (possibly a dupe) - I'll try the patch there in a minute (once I've found a rescue disk!).
Comment 11 Bug Zapper 2010-04-27 07:41:47 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 iarly selbir 2011-01-05 06:59:41 EST

*** This bug has been marked as a duplicate of bug 667282 ***

Note You need to log in before you can comment on or make changes to this bug.